Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.io
Interface ByteCodeOutput

All Superinterfaces:
  DataOutput

All Known Implementing Classes:
  ByteCodeOutputStream

public interface ByteCodeOutput
extends DataOutput

Extends `DataOutput` to accomodate for a method to retrieve the number of bytes written.

Version:
  $Revision: 1.3 $ $Date: 2003/07/08 14:04:28 $
Author:
  Ingo Kegel

Method Summary
`int` | `getBytesWritten()` Get the number of bytes written.

Methods inherited from interface java.io.DataOutput
`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Method Detail

### getBytesWritten

    public int getBytesWritten()

  Get the number of bytes written.

  Returns:
    the number of bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD